## org.apache.batik.dom.svg
Class SVGAnimatedPointsSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGAnimatedPointsSupport

public class SVGAnimatedPointsSupport
extends java.lang.Object

This class provide support for the SVGAnimatedPoints interface.

Field Summary
`static java.lang.String` `POINTS_DEFAULT_VALUE` Default value for the 'points' attribute.

Constructor Summary
`SVGAnimatedPointsSupport()`

Method Summary
`static SVGPointList` `getAnimatedPoints(AbstractElement e)` DOM: Implements `SVGAnimatedPoints.getAnimatedPoints()`.
`static SVGPointList` `getPoints(AbstractElement e)` DOM: Implements `SVGAnimatedPoints.getPoints()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POINTS_DEFAULT_VALUE

    public static final java.lang.String POINTS_DEFAULT_VALUE

  Default value for the 'points' attribute.

  See Also:
    Constant Field Values

Constructor Detail

### SVGAnimatedPointsSupport

    public SVGAnimatedPointsSupport()

Method Detail

### getPoints

    public static SVGPointList getPoints(AbstractElement e)

  DOM: Implements `SVGAnimatedPoints.getPoints()`.

### getAnimatedPoints

    public static SVGPointList getAnimatedPoints(AbstractElement e)

  DOM: Implements `SVGAnimatedPoints.getAnimatedPoints()`.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.